- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# yyguts_t Struct Reference

Collaboration diagram for yyguts_t:

[legend]
List of all members.

## Public Attributes
YY_EXTRA_TYPE | yyextra_r
FILE * | yyin_r
FILE * | yyout_r
size_t | yy_buffer_stack_top
| index of top of stack.
size_t | yy_buffer_stack_max
| capacity of stack.
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array.
char | yy_hold_char
int | yy_n_chars
int | yyleng_r
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
yy_state_type | yy_last_accepting_state
char * | yy_last_accepting_cpos
int | yylineno_r
int | yy_flex_debug_r
char * | yytext_r
int | yy_more_flag
int | yy_more_len
YYSTYPE * | yylval_r
YYLTYPE * | yylloc_r
FILE * | yyin_r
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array.
char * | yy_c_buf_p
int * | yy_start_stack
char * | yy_last_accepting_cpos
char * | yytext_r
YYSTYPE * | yylval_r
YYLTYPE * | yylloc_r
FILE * | yyin_r
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array.
char * | yy_c_buf_p
int * | yy_start_stack
char * | yy_last_accepting_cpos
char * | yytext_r
YYSTYPE * | yylval_r
YYLTYPE * | yylloc_r
FILE * | yyin_r
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array.
char * | yy_c_buf_p
int * | yy_start_stack
char * | yy_last_accepting_cpos
char * | yytext_r
FILE * | yyin_r
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array.
char * | yy_c_buf_p
int * | yy_start_stack
char * | yy_last_accepting_cpos
char * | yytext_r
YYSTYPE * | yylval_r
YYLTYPE * | yylloc_r

## Detailed Description

Definition at line 1225 of file OSParseosil.cpp.

## Member Data Documentation

YY_EXTRA_TYPE yyguts_t::yyextra_r

Definition at line 1229 of file OSParseosil.cpp.

FILE* yyguts_t::yyin_r

Definition at line 1232 of file OSParseosil.cpp.

FILE * yyguts_t::yyout_r

Definition at line 1232 of file OSParseosil.cpp.

size_t yyguts_t::yy_buffer_stack_top

index of top of stack.

Definition at line 1233 of file OSParseosil.cpp.

Referenced by osilensure_buffer_stack(), osilpop_buffer_state(), osilpush_buffer_state(), osolensure_buffer_stack(), osolpop_buffer_state(), osolpush_buffer_state(), osrlensure_buffer_stack(), osrlpop_buffer_state(), osrlpush_buffer_state(), osssensure_buffer_stack(), ossspop_buffer_state(), ossspush_buffer_state(), and yy_init_globals().

size_t yyguts_t::yy_buffer_stack_max

capacity of stack.

Definition at line 1234 of file OSParseosil.cpp.

Referenced by osilensure_buffer_stack(), osolensure_buffer_stack(), osrlensure_buffer_stack(), osssensure_buffer_stack(), and yy_init_globals().

YY_BUFFER_STATE* yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 1235 of file OSParseosil.cpp.

Referenced by osilensure_buffer_stack(), osillex_destroy(), osolensure_buffer_stack(), osollex_destroy(), osrlensure_buffer_stack(), osrllex_destroy(), osssensure_buffer_stack(), ossslex_destroy(), and yy_init_globals().

char yyguts_t::yy_hold_char

Definition at line 1236 of file OSParseosil.cpp.

Referenced by osilpush_buffer_state(), osolpush_buffer_state(), osrlpush_buffer_state(), and ossspush_buffer_state().

int yyguts_t::yy_n_chars

Definition at line 1237 of file OSParseosil.cpp.

Referenced by osilpush_buffer_state(), osolpush_buffer_state(), osrlpush_buffer_state(), and ossspush_buffer_state().

int yyguts_t::yyleng_r

Definition at line 1238 of file OSParseosil.cpp.

char* yyguts_t::yy_c_buf_p

Definition at line 1239 of file OSParseosil.cpp.

Referenced by osilpush_buffer_state(), osolpush_buffer_state(), osrlpush_buffer_state(), ossspush_buffer_state(), and yy_init_globals().

int yyguts_t::yy_init

Definition at line 1240 of file OSParseosil.cpp.

Referenced by yy_init_globals().

int yyguts_t::yy_start

Definition at line 1241 of file OSParseosil.cpp.

Referenced by yy_init_globals().

int yyguts_t::yy_did_buffer_switch_on_eof

Definition at line 1242 of file OSParseosil.cpp.

Referenced by osilpop_buffer_state(), osilpush_buffer_state(), osolpop_buffer_state(), osolpush_buffer_state(), osrlpop_buffer_state(), osrlpush_buffer_state(), ossspop_buffer_state(), and ossspush_buffer_state().

int yyguts_t::yy_start_stack_ptr

Definition at line 1243 of file OSParseosil.cpp.

Referenced by yy_init_globals().

int yyguts_t::yy_start_stack_depth

Definition at line 1244 of file OSParseosil.cpp.

Referenced by yy_init_globals().

int* yyguts_t::yy_start_stack

Definition at line 1245 of file OSParseosil.cpp.

Referenced by osillex_destroy(), osollex_destroy(), osrllex_destroy(), ossslex_destroy(), and yy_init_globals().

yy_state_type yyguts_t::yy_last_accepting_state

Definition at line 1246 of file OSParseosil.cpp.

char* yyguts_t::yy_last_accepting_cpos

Definition at line 1247 of file OSParseosil.cpp.

int yyguts_t::yylineno_r

Definition at line 1249 of file OSParseosil.cpp.

int yyguts_t::yy_flex_debug_r

Definition at line 1250 of file OSParseosil.cpp.

char* yyguts_t::yytext_r

Definition at line 1252 of file OSParseosil.cpp.

int yyguts_t::yy_more_flag

Definition at line 1253 of file OSParseosil.cpp.

int yyguts_t::yy_more_len

Definition at line 1254 of file OSParseosil.cpp.

YYSTYPE* yyguts_t::yylval_r

Definition at line 1256 of file OSParseosil.cpp.

YYLTYPE* yyguts_t::yylloc_r

Definition at line 1258 of file OSParseosil.cpp.

FILE* yyguts_t::yyin_r

Definition at line 2026 of file OSParseosol.cpp.

YY_BUFFER_STATE* yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 2029 of file OSParseosol.cpp.

char* yyguts_t::yy_c_buf_p

Definition at line 2033 of file OSParseosol.cpp.

int* yyguts_t::yy_start_stack

Definition at line 2039 of file OSParseosol.cpp.

char* yyguts_t::yy_last_accepting_cpos

Definition at line 2041 of file OSParseosol.cpp.

char* yyguts_t::yytext_r

Definition at line 2046 of file OSParseosol.cpp.

YYSTYPE* yyguts_t::yylval_r

Definition at line 2050 of file OSParseosol.cpp.

YYLTYPE* yyguts_t::yylloc_r

Definition at line 2052 of file OSParseosol.cpp.

FILE* yyguts_t::yyin_r

Definition at line 2029 of file OSParseosrl.cpp.

YY_BUFFER_STATE* yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 2032 of file OSParseosrl.cpp.

char* yyguts_t::yy_c_buf_p

Definition at line 2036 of file OSParseosrl.cpp.

int* yyguts_t::yy_start_stack

Definition at line 2042 of file OSParseosrl.cpp.

char* yyguts_t::yy_last_accepting_cpos

Definition at line 2044 of file OSParseosrl.cpp.

char* yyguts_t::yytext_r

Definition at line 2049 of file OSParseosrl.cpp.

YYSTYPE* yyguts_t::yylval_r

Definition at line 2053 of file OSParseosrl.cpp.

YYLTYPE* yyguts_t::yylloc_r

Definition at line 2055 of file OSParseosrl.cpp.

FILE* yyguts_t::yyin_r

Definition at line 847 of file OSParseosss.cpp.

YY_BUFFER_STATE* yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 850 of file OSParseosss.cpp.

char* yyguts_t::yy_c_buf_p

Definition at line 854 of file OSParseosss.cpp.

int* yyguts_t::yy_start_stack

Definition at line 860 of file OSParseosss.cpp.

char* yyguts_t::yy_last_accepting_cpos

Definition at line 862 of file OSParseosss.cpp.

char* yyguts_t::yytext_r

Definition at line 867 of file OSParseosss.cpp.

FILE* yyguts_t::yyin_r

Definition at line 1509 of file OSParseosrl.cpp.

YY_BUFFER_STATE* yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 1512 of file OSParseosrl.cpp.

char* yyguts_t::yy_c_buf_p

Definition at line 1516 of file OSParseosrl.cpp.

int* yyguts_t::yy_start_stack

Definition at line 1522 of file OSParseosrl.cpp.

char* yyguts_t::yy_last_accepting_cpos

Definition at line 1524 of file OSParseosrl.cpp.

char* yyguts_t::yytext_r

Definition at line 1529 of file OSParseosrl.cpp.

YYSTYPE* yyguts_t::yylval_r

Definition at line 1533 of file OSParseosrl.cpp.

YYLTYPE* yyguts_t::yylloc_r

Definition at line 1535 of file OSParseosrl.cpp.

The documentation for this struct was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosil.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosol.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosrl.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosss.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSParseosrl.cpp